"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LiteElement = void 0;
class LiteElement {
    constructor(kind, attributes = {}, children = []) {
        this.kind = kind;
        this.attributes = Object.assign({}, attributes);
        this.children = [...children];
        for (const child of this.children) {
            child.parent = this;
        }
        this.styles = null;
    }
}
exports.LiteElement = LiteElement;
//# sourceMappingURL=Element.js.map