"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LiteWindow = void 0;
const Element_js_1 = require("./Element.js");
const Document_js_1 = require("./Document.js");
const List_js_1 = require("./List.js");
const Parser_js_1 = require("./Parser.js");
class LiteWindow {
    constructor() {
        this.DOMParser = Parser_js_1.LiteParser;
        this.NodeList = List_js_1.LiteList;
        this.HTMLCollection = List_js_1.LiteList;
        this.HTMLElement = Element_js_1.LiteElement;
        this.DocumentFragment = List_js_1.LiteList;
        this.Document = Document_js_1.LiteDocument;
        this.document = new Document_js_1.LiteDocument();
    }
}
exports.LiteWindow = LiteWindow;
//# sourceMappingURL=Window.js.map