"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractHandler = void 0;
const MathDocument_js_1 = require("./MathDocument.js");
class DefaultMathDocument extends MathDocument_js_1.AbstractMathDocument {
}
class AbstractHandler {
    constructor(adaptor, priority = 5) {
        this.documentClass = DefaultMathDocument;
        this.adaptor = adaptor;
        this.priority = priority;
    }
    get name() {
        return this.constructor.NAME;
    }
    handlesDocument(_document) {
        return false;
    }
    create(document, options) {
        return new this.documentClass(document, this.adaptor, options);
    }
}
exports.AbstractHandler = AbstractHandler;
AbstractHandler.NAME = 'generic';
//# sourceMappingURL=Handler.js.map