"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeXAtom = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
const mo_js_1 = require("./mo.js");
class TeXAtom extends MmlNode_js_1.AbstractMmlBaseNode {
    get kind() {
        return 'TeXAtom';
    }
    get arity() {
        return -1;
    }
    get notParent() {
        return this.childNodes[0] && this.childNodes[0].childNodes.length === 1;
    }
    constructor(factory, attributes, children) {
        super(factory, attributes, children);
        this.texclass = MmlNode_js_1.TEXCLASS.ORD;
        this.setProperty('texClass', this.texClass);
    }
    setTeXclass(prev) {
        this.childNodes[0].setTeXclass(null);
        return this.adjustTeXclass(prev);
    }
    adjustTeXclass(prev) {
        return prev;
    }
}
exports.TeXAtom = TeXAtom;
TeXAtom.defaults = Object.assign({}, MmlNode_js_1.AbstractMmlBaseNode.defaults);
TeXAtom.prototype.adjustTeXclass = mo_js_1.MmlMo.prototype.adjustTeXclass;
//# sourceMappingURL=TeXAtom.js.map