"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MmlMaligngroup = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
const Attributes_js_1 = require("../Attributes.js");
class MmlMaligngroup extends MmlNode_js_1.AbstractMmlLayoutNode {
    get kind() {
        return 'maligngroup';
    }
    get isSpacelike() {
        return true;
    }
    setChildInheritedAttributes(attributes, display, level, prime) {
        attributes = this.addInheritedAttributes(attributes, this.attributes.getAllAttributes());
        super.setChildInheritedAttributes(attributes, display, level, prime);
    }
}
exports.MmlMaligngroup = MmlMaligngroup;
MmlMaligngroup.defaults = Object.assign(Object.assign({}, MmlNode_js_1.AbstractMmlLayoutNode.defaults), { groupalign: Attributes_js_1.INHERIT });
//# sourceMappingURL=maligngroup.js.map