"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MathChoice = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
class MathChoice extends MmlNode_js_1.AbstractMmlBaseNode {
    get kind() {
        return 'MathChoice';
    }
    get arity() {
        return 4;
    }
    get notParent() {
        return true;
    }
    setInheritedAttributes(attributes, display, level, prime) {
        const selection = (display ? 0 : Math.max(0, Math.min(level, 2)) + 1);
        const child = this.childNodes[selection] || this.factory.create('mrow');
        this.parent.replaceChild(child, this);
        child.setInheritedAttributes(attributes, display, level, prime);
    }
}
exports.MathChoice = MathChoice;
MathChoice.defaults = Object.assign({}, MmlNode_js_1.AbstractMmlBaseNode.defaults);
//# sourceMappingURL=mathchoice.js.map