"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MmlAnnotation = exports.MmlAnnotationXML = exports.MmlSemantics = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
class MmlSemantics extends MmlNode_js_1.AbstractMmlBaseNode {
    get kind() {
        return 'semantics';
    }
    get arity() {
        return 1;
    }
    get notParent() {
        return true;
    }
}
exports.MmlSemantics = MmlSemantics;
MmlSemantics.defaults = Object.assign(Object.assign({}, MmlNode_js_1.AbstractMmlBaseNode.defaults), { definitionUrl: null, encoding: null });
class MmlAnnotationXML extends MmlNode_js_1.AbstractMmlNode {
    get kind() {
        return 'annotation-xml';
    }
    setChildInheritedAttributes() { }
}
exports.MmlAnnotationXML = MmlAnnotationXML;
MmlAnnotationXML.defaults = Object.assign(Object.assign({}, MmlNode_js_1.AbstractMmlNode.defaults), { definitionUrl: null, encoding: null, cd: 'mathmlkeys', name: '', src: null });
class MmlAnnotation extends MmlAnnotationXML {
    constructor() {
        super(...arguments);
        this.properties = {
            isChars: true
        };
    }
    get kind() {
        return 'annotation';
    }
}
exports.MmlAnnotation = MmlAnnotation;
MmlAnnotation.defaults = Object.assign({}, MmlAnnotationXML.defaults);
//# sourceMappingURL=semantics.js.map