"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MmlVisitor = void 0;
const MmlFactory_js_1 = require("./MmlFactory.js");
const Visitor_js_1 = require("../Tree/Visitor.js");
class MmlVisitor extends Visitor_js_1.AbstractVisitor {
    constructor(factory = null) {
        if (!factory) {
            factory = new MmlFactory_js_1.MmlFactory();
        }
        super(factory);
    }
    visitTextNode(_node, ..._args) { }
    visitXMLNode(_node, ..._args) { }
}
exports.MmlVisitor = MmlVisitor;
//# sourceMappingURL=MmlVisitor.js.map