"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisterHTMLHandler = void 0;
const mathjax_js_1 = require("../mathjax.js");
const HTMLHandler_js_1 = require("./html/HTMLHandler.js");
function RegisterHTMLHandler(adaptor) {
    const handler = new HTMLHandler_js_1.HTMLHandler(adaptor);
    mathjax_js_1.mathjax.handlers.register(handler);
    return handler;
}
exports.RegisterHTMLHandler = RegisterHTMLHandler;
//# sourceMappingURL=html.js.map