"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGinferredMrow = exports.SVGmrow = void 0;
const Wrapper_js_1 = require("../Wrapper.js");
const mrow_js_1 = require("../../common/Wrappers/mrow.js");
const mrow_js_2 = require("../../common/Wrappers/mrow.js");
const mrow_js_3 = require("../../../core/MmlTree/MmlNodes/mrow.js");
class SVGmrow extends (0, mrow_js_1.CommonMrowMixin)(Wrapper_js_1.SVGWrapper) {
    toSVG(parent) {
        const svg = (this.node.isInferred ? (this.element = parent) : this.standardSVGnode(parent));
        this.addChildren(svg);
    }
}
exports.SVGmrow = SVGmrow;
SVGmrow.kind = mrow_js_3.MmlMrow.prototype.kind;
class SVGinferredMrow extends (0, mrow_js_2.CommonInferredMrowMixin)(SVGmrow) {
}
exports.SVGinferredMrow = SVGinferredMrow;
SVGinferredMrow.kind = mrow_js_3.MmlInferredMrow.prototype.kind;
//# sourceMappingURL=mrow.js.map