"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGscriptbase = void 0;
const Wrapper_js_1 = require("../Wrapper.js");
const scriptbase_js_1 = require("../../common/Wrappers/scriptbase.js");
class SVGscriptbase extends (0, scriptbase_js_1.CommonScriptbaseMixin)(Wrapper_js_1.SVGWrapper) {
    toSVG(parent) {
        const svg = this.standardSVGnode(parent);
        const w = this.getBaseWidth();
        const [x, v] = this.getOffset();
        this.baseChild.toSVG(svg);
        this.scriptChild.toSVG(svg);
        this.scriptChild.place(w + x, v);
    }
}
exports.SVGscriptbase = SVGscriptbase;
SVGscriptbase.kind = 'scriptbase';
//# sourceMappingURL=scriptbase.js.map