"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.linkedomAdaptor = exports.LinkedomAdaptor = void 0;
const HTMLAdaptor_js_1 = require("./HTMLAdaptor.js");
const NodeMixin_js_1 = require("./NodeMixin.js");
class LinkedomAdaptor extends (0, NodeMixin_js_1.NodeMixin)(HTMLAdaptor_js_1.HTMLAdaptor) {
    parse(text, format = 'text/html') {
        if (!text.match(/^(?:\s|\n)*</))
            text = '<html>' + text + '</html>';
        return this.parser.parseFromString(text, format);
    }
    serializeXML(node) {
        return this.outerHTML(node);
    }
}
exports.LinkedomAdaptor = LinkedomAdaptor;
function linkedomAdaptor(parseHTML, options = null) {
    const window = parseHTML('<html></html>');
    window.constructor.prototype.HTMLCollection = class {
    };
    return new LinkedomAdaptor(window, options);
}
exports.linkedomAdaptor = linkedomAdaptor;
//# sourceMappingURL=linkedomAdaptor.js.map