"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MmlMenclose = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
class MmlMenclose extends MmlNode_js_1.AbstractMmlNode {
    constructor() {
        super(...arguments);
        this.texclass = MmlNode_js_1.TEXCLASS.ORD;
    }
    get kind() {
        return 'menclose';
    }
    get arity() {
        return -1;
    }
    get linebreakContininer() {
        return true;
    }
    setTeXclass(prev) {
        prev = this.childNodes[0].setTeXclass(prev);
        this.updateTeXclass(this.childNodes[0]);
        return prev;
    }
}
exports.MmlMenclose = MmlMenclose;
MmlMenclose.defaults = Object.assign(Object.assign({}, MmlNode_js_1.AbstractMmlNode.defaults), { notation: 'longdiv' });
//# sourceMappingURL=menclose.js.map