"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MmlMerror = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
class MmlMerror extends MmlNode_js_1.AbstractMmlNode {
    constructor() {
        super(...arguments);
        this.texclass = MmlNode_js_1.TEXCLASS.ORD;
    }
    get kind() {
        return 'merror';
    }
    get arity() {
        return -1;
    }
    get linebreakContainer() {
        return true;
    }
}
exports.MmlMerror = MmlMerror;
MmlMerror.defaults = Object.assign({}, MmlNode_js_1.AbstractMmlNode.defaults);
//# sourceMappingURL=merror.js.map