"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MmlMroot = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
class MmlMroot extends MmlNode_js_1.AbstractMmlNode {
    constructor() {
        super(...arguments);
        this.texclass = MmlNode_js_1.TEXCLASS.ORD;
    }
    get kind() {
        return 'mroot';
    }
    get arity() {
        return 2;
    }
    setTeXclass(prev) {
        this.getPrevClass(prev);
        this.childNodes[0].setTeXclass(null);
        this.childNodes[1].setTeXclass(null);
        return this;
    }
    setChildInheritedAttributes(attributes, display, level, prime) {
        this.childNodes[0].setInheritedAttributes(attributes, display, level, true);
        this.childNodes[1].setInheritedAttributes(attributes, false, level + 2, prime);
    }
}
exports.MmlMroot = MmlMroot;
MmlMroot.defaults = Object.assign({}, MmlNode_js_1.AbstractMmlNode.defaults);
//# sourceMappingURL=mroot.js.map