"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MmlMsqrt = void 0;
const MmlNode_js_1 = require("../MmlNode.js");
class MmlMsqrt extends MmlNode_js_1.AbstractMmlNode {
    constructor() {
        super(...arguments);
        this.texclass = MmlNode_js_1.TEXCLASS.ORD;
    }
    get kind() {
        return 'msqrt';
    }
    get arity() {
        return -1;
    }
    get linebreakContainer() {
        return true;
    }
    setTeXclass(prev) {
        this.getPrevClass(prev);
        this.childNodes[0].setTeXclass(null);
        return this;
    }
    setChildInheritedAttributes(attributes, display, level, _prime) {
        this.childNodes[0].setInheritedAttributes(attributes, display, level, true);
    }
}
exports.MmlMsqrt = MmlMsqrt;
MmlMsqrt.defaults = Object.assign({}, MmlNode_js_1.AbstractMmlNode.defaults);
//# sourceMappingURL=msqrt.js.map