"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StackItem_js_1 = require("./StackItem.js");
const Factory_js_1 = require("../../core/Tree/Factory.js");
class DummyItem extends StackItem_js_1.BaseItem {
}
class StackItemFactory extends Factory_js_1.AbstractFactory {
    constructor() {
        super(...arguments);
        this.defaultKind = 'dummy';
        this.configuration = null;
    }
}
exports.default = StackItemFactory;
StackItemFactory.DefaultStackItems = {
    [DummyItem.prototype.kind]: DummyItem
};
//# sourceMappingURL=StackItemFactory.js.map