"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Macro = exports.Symbol = void 0;
class Symbol {
    constructor(_symbol, _char, _attributes) {
        this._symbol = _symbol;
        this._char = _char;
        this._attributes = _attributes;
    }
    get symbol() {
        return this._symbol;
    }
    get char() {
        return this._char;
    }
    get attributes() {
        return this._attributes;
    }
}
exports.Symbol = Symbol;
class Macro {
    constructor(_symbol, _func, _args = []) {
        this._symbol = _symbol;
        this._func = _func;
        this._args = _args;
    }
    get symbol() {
        return this._symbol;
    }
    get func() {
        return this._func;
    }
    get args() {
        return this._args;
    }
}
exports.Macro = Macro;
//# sourceMappingURL=Symbol.js.map