"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BraketConfiguration = void 0;
const Configuration_js_1 = require("../Configuration.js");
const BraketItems_js_1 = require("./BraketItems.js");
require("./BraketMappings.js");
exports.BraketConfiguration = Configuration_js_1.Configuration.create('braket', {
    handler: {
        character: ['Braket-characters'],
        macro: ['Braket-macros']
    },
    items: {
        [BraketItems_js_1.BraketItem.prototype.kind]: BraketItems_js_1.BraketItem,
    }
});
//# sourceMappingURL=BraketConfiguration.js.map