"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CHTMLmroot = void 0;
const msqrt_js_1 = require("./msqrt.js");
const mroot_js_1 = require("../../common/Wrappers/mroot.js");
const mroot_js_2 = require("../../../core/MmlTree/MmlNodes/mroot.js");
class CHTMLmroot extends (0, mroot_js_1.CommonMrootMixin)(msqrt_js_1.CHTMLmsqrt) {
    addRoot(ROOT, root, sbox, H) {
        root.toCHTML(ROOT);
        const [x, h, dx] = this.getRootDimens(sbox, H);
        this.adaptor.setStyle(ROOT, 'verticalAlign', this.em(h));
        this.adaptor.setStyle(ROOT, 'width', this.em(x));
        if (dx) {
            this.adaptor.setStyle(this.adaptor.firstChild(ROOT), 'paddingLeft', this.em(dx));
        }
    }
}
exports.CHTMLmroot = CHTMLmroot;
CHTMLmroot.kind = mroot_js_2.MmlMroot.prototype.kind;
//# sourceMappingURL=mroot.js.map