"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonMtdMixin = void 0;
function CommonMtdMixin(Base) {
    return class extends Base {
        get fixesPWidth() {
            return false;
        }
        invalidateBBox() {
            this.bboxComputed = false;
        }
        getWrapWidth(_j) {
            const table = this.parent.parent;
            const row = this.parent;
            const i = this.node.childPosition() - (row.labeled ? 1 : 0);
            return (typeof (table.cWidths[i]) === 'number' ? table.cWidths[i] : table.getTableData().W[i]);
        }
        getChildAlign(_i) {
            return this.node.attributes.get('columnalign');
        }
    };
}
exports.CommonMtdMixin = CommonMtdMixin;
//# sourceMappingURL=mtd.js.map