"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonSemanticsMixin = void 0;
function CommonSemanticsMixin(Base) {
    return class extends Base {
        computeBBox(bbox, _recompute = false) {
            if (this.childNodes.length) {
                const { w, h, d } = this.childNodes[0].getBBox();
                bbox.w = w;
                bbox.h = h;
                bbox.d = d;
            }
        }
    };
}
exports.CommonSemanticsMixin = CommonSemanticsMixin;
//# sourceMappingURL=semantics.js.map