"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddPaths = exports.SVGFontData = void 0;
const FontData_js_1 = require("../common/FontData.js");
__exportStar(require("../common/FontData.js"), exports);
class SVGFontData extends FontData_js_1.FontData {
    static charOptions(font, n) {
        return super.charOptions(font, n);
    }
}
exports.SVGFontData = SVGFontData;
SVGFontData.OPTIONS = Object.assign(Object.assign({}, FontData_js_1.FontData.OPTIONS), { dynamicPrefix: './output/svg/fonts' });
SVGFontData.JAX = 'SVG';
function AddPaths(font, paths, content) {
    for (const c of Object.keys(paths)) {
        const n = parseInt(c);
        SVGFontData.charOptions(font, n).p = paths[n];
    }
    for (const c of Object.keys(content)) {
        const n = parseInt(c);
        SVGFontData.charOptions(font, n).c = content[n];
    }
    return font;
}
exports.AddPaths = AddPaths;
//# sourceMappingURL=FontData.js.map