"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGmfenced = void 0;
const Wrapper_js_1 = require("../Wrapper.js");
const mfenced_js_1 = require("../../common/Wrappers/mfenced.js");
const mfenced_js_2 = require("../../../core/MmlTree/MmlNodes/mfenced.js");
class SVGmfenced extends (0, mfenced_js_1.CommonMfencedMixin)(Wrapper_js_1.SVGWrapper) {
    toSVG(parent) {
        const svg = this.standardSVGnode(parent);
        this.setChildrenParent(this.mrow);
        this.mrow.toSVG(svg);
        this.setChildrenParent(this);
    }
    setChildrenParent(parent) {
        for (const child of this.childNodes) {
            child.parent = parent;
        }
    }
}
exports.SVGmfenced = SVGmfenced;
SVGmfenced.kind = mfenced_js_2.MmlMfenced.prototype.kind;
//# sourceMappingURL=mfenced.js.map