"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGmroot = void 0;
const msqrt_js_1 = require("./msqrt.js");
const mroot_js_1 = require("../../common/Wrappers/mroot.js");
const mroot_js_2 = require("../../../core/MmlTree/MmlNodes/mroot.js");
class SVGmroot extends (0, mroot_js_1.CommonMrootMixin)(msqrt_js_1.SVGmsqrt) {
    addRoot(ROOT, root, sbox, H) {
        root.toSVG(ROOT);
        const [x, h, dx] = this.getRootDimens(sbox, H);
        const bbox = root.getOuterBBox();
        root.place(dx * bbox.rscale, h);
        this.dx = x;
    }
}
exports.SVGmroot = SVGmroot;
SVGmroot.kind = mroot_js_2.MmlMroot.prototype.kind;
//# sourceMappingURL=mroot.js.map