"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVGmsubsup = exports.SVGmsup = exports.SVGmsub = void 0;
const scriptbase_js_1 = require("./scriptbase.js");
const msubsup_js_1 = require("../../common/Wrappers/msubsup.js");
const msubsup_js_2 = require("../../common/Wrappers/msubsup.js");
const msubsup_js_3 = require("../../common/Wrappers/msubsup.js");
const msubsup_js_4 = require("../../../core/MmlTree/MmlNodes/msubsup.js");
class SVGmsub extends (0, msubsup_js_1.CommonMsubMixin)(scriptbase_js_1.SVGscriptbase) {
}
exports.SVGmsub = SVGmsub;
SVGmsub.kind = msubsup_js_4.MmlMsub.prototype.kind;
class SVGmsup extends (0, msubsup_js_2.CommonMsupMixin)(scriptbase_js_1.SVGscriptbase) {
}
exports.SVGmsup = SVGmsup;
SVGmsup.kind = msubsup_js_4.MmlMsup.prototype.kind;
class SVGmsubsup extends (0, msubsup_js_3.CommonMsubsupMixin)(scriptbase_js_1.SVGscriptbase) {
    toSVG(parent) {
        const svg = this.standardSVGnode(parent);
        const [base, sup, sub] = [this.baseChild, this.supChild, this.subChild];
        const w = this.getBaseWidth();
        const x = this.getAdjustedIc();
        const [u, v] = this.getUVQ();
        base.toSVG(svg);
        sup.toSVG(svg);
        sub.toSVG(svg);
        sub.place(w, v);
        sup.place(w + x, u);
    }
}
exports.SVGmsubsup = SVGmsubsup;
SVGmsubsup.kind = msubsup_js_4.MmlMsubsup.prototype.kind;
//# sourceMappingURL=msubsup.js.map